Skip to main content
PUT
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
accessSettings
Edit project template access and security settings
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/accessSettings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "downloadEnabled": true,
  "webEditorEnabledForLinguists": true,
  "showUserDataToLinguists": true,
  "emailNotifications": true,
  "strictWorkflowFinish": true,
  "useVendors": true,
  "linguistsMayEditLockedSegments": true,
  "usersMaySetAutoPropagation": true,
  "allowLoadingExternalContentInEditors": true,
  "allowLoadingIframes": true,
  "linguistsMayEditSource": true,
  "linguistsMayEditTagContent": true,
  "linguistsMayDownloadLqaReport": true,
  "usernamesDisplayedInLqaReport": true,
  "userMaySetInstantQA": true,
  "triggerWebhooks": true,
  "notifyJobOwnerStatusChanged": true,
  "notifyUserMentionOrComment": true,
  "notifyReference": true,
  "notifyJobOwnerStatusChangedTemplateUid": "<string>",
  "notifyUserMentionOrCommentTemplateUid": "<string>",
  "notifyReferenceGroups": "<string>",
  "notifyReferenceTemplateUid": "<string>",
  "vendors": {
    "canChangeSharedJobDueDateEnabled": true,
    "canChangeSharedJobDueDate": [
      {
        "uid": "<string>"
      }
    ],
    "jobVendorsMayUploadReferences": true
  },
  "allowedDomains": [
    "<string>"
  ]
}
'
{
  "downloadEnabled": true,
  "webEditorEnabledForLinguists": true,
  "showUserDataToLinguists": true,
  "emailNotifications": true,
  "strictWorkflowFinish": true,
  "useVendors": true,
  "linguistsMayEditLockedSegments": true,
  "usersMaySetAutoPropagation": true,
  "allowLoadingExternalContentInEditors": true,
  "allowLoadingIframes": true,
  "linguistsMayEditSource": true,
  "linguistsMayEditTagContent": true,
  "linguistsMayDownloadLqaReport": true,
  "usernamesDisplayedInLqaReport": true,
  "userMaySetInstantQA": true,
  "triggerWebhooks": true,
  "notifyJobOwnerStatusChanged": true,
  "notifyUserMentionOrComment": true,
  "notifyReference": true,
  "notifyJobOwnerStatusChangedTemplateUid": "<string>",
  "notifyUserMentionOrCommentTemplateUid": "<string>",
  "notifyReferenceGroups": "<string>",
  "notifyReferenceTemplateUid": "<string>",
  "vendors": {
    "canChangeSharedJobDueDateEnabled": true,
    "canChangeSharedJobDueDate": [
      {
        "uid": "<string>"
      }
    ],
    "jobVendorsMayUploadReferences": true
  },
  "allowedDomains": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectTemplateUid
string
required

Body

application/json
downloadEnabled
boolean

Default: false

webEditorEnabledForLinguists
boolean

Default: false

showUserDataToLinguists
boolean

Default: false

emailNotifications
boolean

Default: false

strictWorkflowFinish
boolean

Default: false

useVendors
boolean

Default: false

linguistsMayEditLockedSegments
boolean

Default: false

usersMaySetAutoPropagation
boolean

Default: true

allowLoadingExternalContentInEditors
boolean

Default: true

allowLoadingIframes
boolean

Default: false

linguistsMayEditSource
boolean

Default: true

linguistsMayEditTagContent
boolean

Default: true

linguistsMayDownloadLqaReport
boolean

Default: true

usernamesDisplayedInLqaReport
boolean

Default: true

userMaySetInstantQA
boolean

Default: true

triggerWebhooks
boolean

Default: true

notifyJobOwnerStatusChanged
boolean

Default: false

notifyUserMentionOrComment
boolean

Default: false

notifyReference
boolean

Default: false

notifyJobOwnerStatusChangedTemplateUid
string
notifyUserMentionOrCommentTemplateUid
string
notifyReferenceGroups
string
notifyReferenceTemplateUid
string
vendors
object
allowedDomains
string[]

Response

successful operation

downloadEnabled
boolean
webEditorEnabledForLinguists
boolean
showUserDataToLinguists
boolean
emailNotifications
boolean
strictWorkflowFinish
boolean
useVendors
boolean
linguistsMayEditLockedSegments
boolean
usersMaySetAutoPropagation
boolean
allowLoadingExternalContentInEditors
boolean
allowLoadingIframes
boolean
linguistsMayEditSource
boolean
linguistsMayEditTagContent
boolean
linguistsMayDownloadLqaReport
boolean
usernamesDisplayedInLqaReport
boolean
userMaySetInstantQA
boolean
triggerWebhooks
boolean
notifyJobOwnerStatusChanged
boolean
notifyUserMentionOrComment
boolean
notifyReference
boolean
notifyJobOwnerStatusChangedTemplateUid
string
notifyUserMentionOrCommentTemplateUid
string
notifyReferenceGroups
string
notifyReferenceTemplateUid
string
vendors
object
allowedDomains
string[]